Anonymous Login
2020-02-24 04:37 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001630OpenClonkObjectspublic2016-08-09 23:21
ReporterArmin 
Assigned ToClonkonaut 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001630: Corner scale using the [Up] key
DescriptionWhen you scale up walls using the [Up] key, it is impossible to get over edge. This bug is not that old. OC 5 or 6 were not like that.
Steps To ReproducePlay SharpEdge.ocs and climb up by pressing [Up].
http://bugs.openclonk.org/view.php?id=1361
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005117

Armin (reporter)

Bug is newer than 2015-06-12 (OC 6.1 release)
Bug is far older than 2015-10-18 (When I posted about this bug)

fmod prevents me from compiling and testing older versions..

~0005244

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/825c0653e547f6e8df7f63059fd6cff7a1a83683

Changeset 825c065 by Clonkonaut <Armag3ddon@web.de>
Added a slight helper for corner scaling when just pressing up (0001770, 0001630).

The problem occurred as soon as the clonk's leg vertices passed the edge. It seems the engine does not really align the bottom vertex to the material. However, the bottom vertex does have CNAT_Bottom & _Left & _Right, in theory it should be properly attached. Maybe this is a little bit broken engine-wise or maybe assigning both left and right to a vertex isn't supported?
Because the lower vertex (foot vertex) isn't attached, the clonk falls down onto its leg vertex and gets stuck in an endless loop of Scale, Jump, Walk, Scale, ...
When pressing left/right, this is no problem as the clonk will be pushed towards the edge when walking and soon touch it with its foot vertex (I assume at this point regular engine behaviour kicks in).

I added a little helper in the scale effect that sets COMD_UpLeft / UpRight whenever this situation is detected and only Up is pressed. 2 frames (1 is not enough) after the effect ended, the ComDir will reset to COMD_Up. It is then possible to climb an edge and stand still on top of it.

Maybe not a perfect solution (a perfect solution would probably be to fix attachment in the engine but I couldn't pinpoint the exact problem) but it works for now.

~0005247

Clonkonaut (developer)

Fixed for now, let's see when it breaks again!
+Notes

-Issue History
Date Modified Username Field Change
2016-01-17 16:32 Armin New Issue
2016-06-05 18:46 Armin Note Added: 0005117
2016-08-09 23:19 occ Note Added: 0005244
2016-08-09 23:21 Clonkonaut Note Added: 0005247
2016-08-09 23:21 Clonkonaut Status new => resolved
2016-08-09 23:21 Clonkonaut Resolution open => fixed
2016-08-09 23:21 Clonkonaut Assigned To => Clonkonaut
+Issue History